Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

"/usr/bin/ld.gold: erro: cannot find -lqwayland-egl" Solutions?



  • Ubuntu 16.04 64 bits

    Installed default version with "qt-unified-linux-x64-3.0.1-online.run", but is shared.
    I'm trying build on version static, from "Qt/5.9.2/Src"
    And I'm getting compile error.

    /usr/bin/ld.gold: erro: cannot find -lqwayland-egl
    /usr/bin/ld.gold: erro: cannot find -lqwayland-generic
    /usr/bin/ld.gold: erro: cannot find -lqwayland-xcomposite-egl
    /usr/bin/ld.gold: erro: cannot find -lqwayland-xcomposite-glx
    /usr/bin/ld.gold: erro: cannot find -lQt5WaylandClient
    

    configure command:

     ./configure -release -static -confirm-license -opensource -egl -opengl es2 -nomake examples -nomake tests -silent -prefix /opt/Qt/5.9.2/gcc_64_static
    


  • @jamilservicos

    Hi and welcome to devnet

    You should raise already some meaningful question in the title. This help others to see if they can contribute and help.
    You can still edit your post by pressing the three vertical dots at the corner of your post. There is an edit entry.


Log in to reply